Skip to main content
Resource Center/Network Resource/VPC Operations
GETVPC OperationsSince 5.5.12SynchronousAuth Required

GetVpcVRouterSnatLogState

GetVpcVRouterSnatLogState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The VPC vRouter UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • stateString

    The SNAT log state. Valid values: enable, disable.

Endpoint

GET/zstack/v1/vpc/virtual-routers/{uuid}/snat-log

/zstack/v1/vpc/virtual-routers/{uuid}/snat-log

Operation ID

GetVpcVRouterSnatLogState

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/snat-log?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "state": "enable" }

Change History

This API has no change history records yet.

View all change history